/**
 * FileAccessPermissions
 *
 * Constants indicating file access permissions.
 */
export declare enum FileAccessPermissions {
    /**
     * File mode indicating readable, writable, and executable by owner.
     */
    READ_WRITE_EXEECUTE_BY_OWNER,
    /**
     * File mode indicating readable by owner.
     */
    READABLE_BY_OWNER,
    /**
     * File mode indicating writable by owner.
     */
    WRITABLE_BY_OWNER,
    /**
     * File mode indicating executable by owner.
     */
    EXECUTABLE_BY_OWNER,
    /**
     * File mode indicating readable, writable, and executable by group
     */
    READ_WRITE_EXECUTE_BY_GROUP,
    /**
     * File mode indicating readable by group.
     */
    READABLE_BY_GROUP,
    /**
     * File mode indicating writable by group.
     */
    WRITABLE_BY_GROUP,
    /**
     * File mode indicating executable by group.
     */
    EXECUTABLE_BY_GROUP,
    /**
     * File mode indicating readable, writable, and executable by others.
     */
    READ_WRITE_EXECUTE_BY_OTHERS,
    /**
     * File mode indicating readable by others.
     */
    READABLE_BY_OTHERS,
    /**
     * File mode indicating writable by others.
     */
    WRITABLE_BY_OTHERS,
    /**
     * File mode indicating executable by others
     */
    EXECUTABLE_BY_OTHERS
}
//# sourceMappingURL=file-access-permissions.enum.d.ts.map