/**
 * FileType
 *
 * Constants for determining file type.
 */
export declare enum FileType {
    /**
     * Bit mask used to extract the file type code.
     */
    BITMASK,
    /**
     * File type constant for a regular file.
     */
    REGULAR,
    /**
     * File type constant for a directory.
     */
    DIRECTORY,
    /**
     * File type constant for a character-oriented device file.
     */
    CHARACTER_ORIENTED_DEVICE,
    /**
     * File type constant for a block-oriented device file.
     */
    BLOCK_ORIENTED_DEVICE,
    /**
     * File type constant for a FIFO/pipe.
     */
    FIFO_PIPE,
    /**
     * File type constant for a symbolic link.
     */
    SYMBOLIC_LINK,
    /**
     * File type constant for a socket.
     */
    SOCKET
}
//# sourceMappingURL=file-type.enum.d.ts.map